package com.ruoyi.cai.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.cai.domain.UserGreet;
import com.ruoyi.cai.dto.admin.vo.UserGreetAdminVo;
import com.ruoyi.cai.dto.app.query.user.UserGreetAddReq;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.List;

/**
 * 群发审核Service接口
 *
 * @author 77
 * @date 2024-01-01
 */
public interface UserGreetService extends IService<UserGreet> {

    List<UserGreet> listByUserId(Long userId);

    void addUserGreet(UserGreetAddReq req);

    void batchSend(Long id, Long userId);

    Page<UserGreetAdminVo> pageAdmin(PageQuery pageQuery, UserGreetAdminVo bo);
}
